## Script (Python) "PlonePopoll_edit"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=id='',clearBtn=None, saveBtn=None, title=None, question=None, answers=[], poll_status=None
##title=Edit a PlonePopoll
##

if clearBtn:
    context.clearResults()
    message= 'Poll results have been cleared.'
    return ('success', context, {'portal_status_message':message})

elif saveBtn:
    # if there is no id specified, keep the current one
    if not id:
        id = context.getId()
    new_context = context.portal_factory.doCreate(context, id)
    
    choices=[]
    for answer in answers:
       if string.strip(answer)=='':
          pass
       else:
          choices.append(string.strip(answer))
    
    new_context.setPollOptions(question = question,
                               choices = choices,
                               check_multi = 1)
    
    if poll_status=='enabled':
       if context.isDisabled():
          context.enable()
    else:
       if context.isEnabled():
          context.disable()
    
    # Generic editing method (ie. edits id + Metadata)
    new_context.plone_utils.contentEdit(new_context,
                                        id = id,
                                        title = title)
    
    message=context.REQUEST.get('portal_status_message',
                                'Poll changes saved.')
    return ('success', new_context, {'portal_status_message':message})

