## Script (Python) "PlonePopoll_edit2"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=id='', title=None, question=None, answers=[], poll_status=None, number=1, results_visibility='visible'
##title=Edit a PlonePopoll
##

if not id:
    id = context.getId()

new_context = context.portal_factory.doCreate(context, id)

choices=[]


for answer in answers:
   if string.strip(answer) == '':
      pass
   else:
      if choices.count(string.strip(answer)) != 0:
         message=context.REQUEST.get('portal_status_message',
                            "Duplicate choice : %s" % string.strip(answer))
         return state.set(status='failure', portal_status_message = message)
      else:
         choices.append(string.strip(answer))

new_context.setPollOptions(question = question,
                           choices_number = int(number),
                           choices = choices,
                           check_multi = 1)

if poll_status == 'enabled':
   if context.isDisabled():
      context.enable()
else:
   if context.isEnabled():
      context.disable()

if results_visibility == 'visible':
   if context.isNotVisible():
      context.setVisible()
else:
   if context.isVisible():
      context.setNotVisible()

# Generic editing method (ie. edits id + Metadata)
new_context.plone_utils.contentEdit(new_context,
                                    id = id,
                                    title = title)

new_context = context.portal_factory.doCreate(context, id)
message=context.REQUEST.get('portal_status_message',
                            'Poll changes saved.')
return state.set(context=new_context, portal_status_message = message)
